org.wildfly.swarm.resource.adapters

## Class ResourceAdapterFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ResourceAdapters<ResourceAdapterFraction>
      - - org.wildfly.swarm.resource.adapters.ResourceAdapterFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<ResourceAdapterFraction>

      public class ResourceAdapterFraction
      extends ResourceAdapters<ResourceAdapterFraction>
      implements Fraction<ResourceAdapterFraction>

  Author:
    Ralf Battenfeld
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.ResourceAdapters

      `ResourceAdapters.ResourceAdaptersResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapterFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceAdapterFraction` | `resourceAdapter(ResourceAdapter value)` Add the ResourceAdapter object to the list of subresources

    - ### Methods inherited from class org.wildfly.swarm.config.ResourceAdapters

      `addPropertyChangeListener, getKey, removePropertyChangeListener, resourceAdapter, resourceAdapter, resourceAdapter, resourceAdapters, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ResourceAdapterFraction

          public ResourceAdapterFraction()

  - ### Method Detail

    - #### resourceAdapter

          public ResourceAdapterFraction resourceAdapter(ResourceAdapter value)

      Description copied from class: `ResourceAdapters`
      Add the ResourceAdapter object to the list of subresources
      Overrides:
        `resourceAdapter` in class `ResourceAdapters<ResourceAdapterFraction>`
      Parameters:
        `value` - The ResourceAdapter to add
      Returns:
        this

Copyright © 2017 JBoss by Red Hat. All rights reserved.